/// <reference types="@overwolf/types" />
import { EventEmitter } from './event-emitter';
declare type LauncherInfo = overwolf.games.launchers.LauncherInfo | null;
declare type LauncherStatusEventTypes = {
    focus: boolean;
    running: boolean;
    changed: LauncherInfo;
};
export declare class LauncherStatus extends EventEmitter<LauncherStatusEventTypes> {
    #private;
    constructor();
    get isRunning(): boolean;
    get isInFocus(): boolean;
    get launcherInfo(): LauncherInfo;
    get launcherID(): number | null;
    start(): Promise<void>;
    /** Remove all listeners */
    destroy(): void;
}
export {};
//# sourceMappingURL=launcher-status.d.ts.map